<template>
    <div class="container-fluid">
        <div class="row clearfix">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <div class="card">
                    <div class="header">
                        <h2>
                            Add New Brand
                        </h2>
                    </div>
                    <div class="body">
                        <h2 class="card-inside-title">Brand</h2>
                        <form action="javascript:void(0)" ref="addBrand">
                            <p id="error">{{this.error}}</p>
                            <div class="row clearfix">
                                <div class="col-sm-12">
                                    <div class="form-group">
                                        <div class="form-line">
                                            <input v-model="name" type="text" name="name" @keydown.enter="sent" class="form-control" placeholder="Name" />
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <div>
                                            <a class="btn btn-danger m-t-15 waves-effect" @click="senderPage('brandView')">Back</a>
                                            <input type="submit" value="Add" class="btn btn-primary" @click="sent"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <!-- #END# Input -->
    </div>
</template>
<script>
    export default {
        data() {
            return{
                name:'',
                error:'',
            }
        },
        methods:{
            senderPage(text){
                this.$emit('sent',text);
            },
            sent(e){
                e.preventDefault();
                if (this.name === '') return;
                axios.post('/admin/brand/add',new FormData(this.$refs.addBrand)).then((response)=>{
                    if(response.data[0]===0){
                        this.$toaster.error(response.data[1]);
                    }
                    else
                        this.$toaster.success(response.data[1]);
                });
                this.name='';
            }
        }
    }
</script>
